modelsearch {lava} | R Documentation

## Model searching

### Description

Performs Wald or score tests

### Usage

    modelsearch(x, k = 1, dir = "forward", type = "all", ...)

### Arguments

`x` | `lvmfit`-object
`k` | Number of parameters to test simultaneously. For `equivalence` the number of additional associations to be added instead of `rel`.
`dir` | Direction to do model search. "forward" := add associations/arrows to model/graph (score tests), "backward" := remove associations/arrows from model/graph (wald test)
`type` | If equal to 'correlation' only consider score tests for covariance parameters. If equal to 'regression' go through direct effects only (default 'all' is to do both)
`...` | Additional arguments to be passed to the low level functions

### Value

Matrix of test-statistics and p-values

### Author(s)

Klaus K. Holst

### See Also

`compare`, `equivalence`

### Examples

    m <- lvm();
    regression(m) <- c(y1,y2,y3) ~ eta; latent(m) <- ~eta
    regression(m) <- eta ~ x
    m0 <- m; regression(m0) <- y2 ~ x
    dd <- sim(m0,100)[,manifest(m0)]
    e <- estimate(m,dd);
    modelsearch(e,silent=TRUE)
    modelsearch(e,silent=TRUE,type="cor")

[Package lava version 1.5.1 Index]